Bulk create or update carriers
Create or update multiple carriers in a single request. Maximum 20 carriers per request. Each carrier is processed in its own transaction. Partial success is supported - some carriers may succeed while others fail.
Body
required
application/json
- Type: array object[] · CarrierRequest[] …20
carriers requiredArray of carriers to create or update. Maximum 20 carriers per request.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/carriers/bulk
curl https://api.prod.goaugment.com/v1/carriers/bulk \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"carriers": [
{
"name": "",
"tmsId": "",
"status": {
"code": "ACTIVE",
"reason": ""
},
"complianceStatus": {
"codes": {
"additionalProperty": ""
}
},
"mcNumber": 1,
"dotNumber": 1,
"scac": "",
"address": {
"street1": "",
"street2": "",
"city": "",
"stateOrProvince": "",
"postalCode": "",
"country": "",
"name": "",
"company": ""
},
"email": "",
"phone": "",
"phoneExtension": "",
"managers": [
{
"name": "",
"email": "",
"phone": "",
"phoneExtension": "",
"tmsId": "",
"roles": [
"CARRIER_REP"
],
"preferredContactMode": "EMAIL"
}
],
"contacts": [
{
"name": "",
"email": "",
"phone": "",
"phoneExtension": "",
"tmsId": "",
"roles": [
"ACCOUNTANT"
],
"preferredContactMode": "EMAIL"
}
],
"notes": "",
"customData": {
"tier": "gold",
"score": 98.5,
"verified": true,
"aliases": [
"Acme Freight",
"Acme Carriers LLC"
],
"routing": {
"defaultRegion": "NS",
"allowCrossBorder": false
}
}
}
]
}'
{
"total": 2,
"successCount": 1,
"failureCount": 1,
"errors": [
{
"index": 1,
"error": "string"
}
]
}
